Delimited Text Enhancement

2011-03-16 03:23 PM - bderstine -

Status: Closed

Priority: Low

Assignee:

Category: C++ Plugins

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13690

Description

I would like to import a delimited text layer (.csv) that does not have X,Y data in it.  I would like to do this because I need to quickly join

data from the .csv file to a shapefile.

I am able to import the file to qGIS using the delimited text plugin by using fake X,Y data, but this is not ideal because I am still not able to

use the new delimited text layer to join to other shapefiles.

Not sure who would be able to fix this...

History

#1 - 2011-03-16 03:27 PM - Jürgen Fischer

what would be the advantage compared to loading the CSV as (geometryless) vector layer via "Add vector layer"?

#2 - 2011-03-16 04:01 PM - bderstine -

- Status changed from Open to Closed

- Resolution set to worksforme

None.  I wasn't aware that was possible!

#3 - 2012-07-06 06:44 AM - Regis Haubourg

I see two big advantages. 

1- "Add delimited text" plugin lets you choose delimiters and check everything goes well before importing. Really nice dialog.

2- All students I have seen in my organisation don't intuitivly understand that 'Add vector layers' can add non vector tables. Since XLS , ODS access are

possible now, I think we might start to think about a "Add attribute table" button. I wioll start a discussion on lists about it. It could be a simple way to merge

csv, xls, odbc, etc .. in the same place. IMHO It would be far more readable for new users.

#4 - 2012-10-31 02:06 PM - Alister Hood

- Pull Request or Patch supplied set to No

I see two big advantages. 

1- "Add delimited text" plugin lets you choose delimiters and check everything goes well before importing. Really nice dialog.
Does somebody with the permissions want to reopen this ticket then?

#5 - 2012-11-01 05:36 AM - Borys Jurgiel

- Category changed from Python plugins to C++ Plugins

- Assignee deleted (Borys Jurgiel)

- Status info deleted (1)

- OS version deleted (7)

- Operating System deleted (Windows)

- Target version changed from Version 1.7.0 to Version 2.0.0

Ok, I'm reopening it, as the problem is valid still. I'm leaving it in plugins, maybe another ticket for "Add attribute table" should be opened in the GUI

category.

#6 - 2012-11-01 05:37 AM - Borys Jurgiel

- Resolution deleted (worksforme)

#7 - 2012-11-01 05:39 AM - Borys Jurgiel

oops, seems I can't reopen it.

#8 - 2013-04-15 05:48 PM - Chris Crook

The delimited text plugin update at commit fab2c57478f67be01a9ac91f0ce27a1f739d0501 includes a "no geometry" option.  This issues is now not only

closed, but also fixed!

2024-04-09 2/2


